<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Automate cellulaire: Référence du fichier src/fichier_configuration.c</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Automate cellulaire
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Structures de données</a> &#124;
<a href="#func-members">Fonctions</a>  </div>
  <div class="headertitle">
<div class="title">Référence du fichier fichier_configuration.c</div>  </div>
</div><!--header-->
<div class="contents">

<p>Programmation des éléments de gestion de structure pour les fichiers de configuration.  
<a href="#details">Plus de détails...</a></p>
<div class="textblock"><code>#include &quot;fichier_configuration.h&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Graphe des dépendances par inclusion de fichier_configuration.c:</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c__incl.png" border="0" usemap="#src_2fichier__configuration_8c" alt=""/></div>
<map name="src_2fichier__configuration_8c" id="src_2fichier__configuration_8c">
<area shape="rect" title="Programmation des éléments de gestion de structure pour les fichiers de configuration." alt="" coords="5,5,175,32"/>
<area shape="rect" title=" " alt="" coords="17,80,163,107"/>
</map>
</div>
</div>
<p><a href="fichier__configuration_8c_source.html">Aller au code source de ce fichier.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Structures de données</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structfichier__configuration.html">fichier_configuration</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.  <a href="structfichier__configuration.html#details">Plus de détails...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Fonctions</h2></td></tr>
<tr class="memitem:ad80bfd5b28d3fc81e66d83fa23690e88"><td class="memItemLeft" align="right" valign="top">ptr_str_fc&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#ad80bfd5b28d3fc81e66d83fa23690e88">creer_fichier_configuration</a> (const char *nom_fichier)</td></tr>
<tr class="memdesc:ad80bfd5b28d3fc81e66d83fa23690e88"><td class="mdescLeft">&#160;</td><td class="mdescRight">Créer un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a> à partir du nom du fichier que l'éxecutable prend en paramètre.  <a href="fichier__configuration_8c.html#ad80bfd5b28d3fc81e66d83fa23690e88">Plus de détails...</a><br /></td></tr>
<tr class="separator:ad80bfd5b28d3fc81e66d83fa23690e88"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0ce5e18cc06c038b2ae5ab594e5e9e7"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#ae0ce5e18cc06c038b2ae5ab594e5e9e7">get_regle</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:ae0ce5e18cc06c038b2ae5ab594e5e9e7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "regle".  <a href="fichier__configuration_8c.html#ae0ce5e18cc06c038b2ae5ab594e5e9e7">Plus de détails...</a><br /></td></tr>
<tr class="separator:ae0ce5e18cc06c038b2ae5ab594e5e9e7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afef69ee54144409041ea66d6e1185312"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#afef69ee54144409041ea66d6e1185312">get_nb_etat</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:afef69ee54144409041ea66d6e1185312"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "nb_etat".  <a href="fichier__configuration_8c.html#afef69ee54144409041ea66d6e1185312">Plus de détails...</a><br /></td></tr>
<tr class="separator:afef69ee54144409041ea66d6e1185312"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc113bc5216673e023757de45be2e009"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009">get_hauteur</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:afc113bc5216673e023757de45be2e009"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "hauteur".  <a href="fichier__configuration_8c.html#afc113bc5216673e023757de45be2e009">Plus de détails...</a><br /></td></tr>
<tr class="separator:afc113bc5216673e023757de45be2e009"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b660f6a0cca911778798dfe26976cdd"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd">get_largeur</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:a1b660f6a0cca911778798dfe26976cdd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "largeur".  <a href="fichier__configuration_8c.html#a1b660f6a0cca911778798dfe26976cdd">Plus de détails...</a><br /></td></tr>
<tr class="separator:a1b660f6a0cca911778798dfe26976cdd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a50675bf48ff97d3282760437d7e9c69e"><td class="memItemLeft" align="right" valign="top">char&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#a50675bf48ff97d3282760437d7e9c69e">get_cellule_symbole</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:a50675bf48ff97d3282760437d7e9c69e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "cellule_symbole".  <a href="fichier__configuration_8c.html#a50675bf48ff97d3282760437d7e9c69e">Plus de détails...</a><br /></td></tr>
<tr class="separator:a50675bf48ff97d3282760437d7e9c69e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21bb44a3b30408468720e6eb6eaa60ac"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#a21bb44a3b30408468720e6eb6eaa60ac">get_emplacement_initial</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:a21bb44a3b30408468720e6eb6eaa60ac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "emplacement_initial".  <a href="fichier__configuration_8c.html#a21bb44a3b30408468720e6eb6eaa60ac">Plus de détails...</a><br /></td></tr>
<tr class="separator:a21bb44a3b30408468720e6eb6eaa60ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0747aaffe60671eda2ba956722a8c191"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#a0747aaffe60671eda2ba956722a8c191">get_enregistrer_image</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:a0747aaffe60671eda2ba956722a8c191"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "enregistrer_image".  <a href="fichier__configuration_8c.html#a0747aaffe60671eda2ba956722a8c191">Plus de détails...</a><br /></td></tr>
<tr class="separator:a0747aaffe60671eda2ba956722a8c191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af66f6107d4b7f6e4de23bd6f697ccaf8"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#af66f6107d4b7f6e4de23bd6f697ccaf8">get_nb_magique</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:af66f6107d4b7f6e4de23bd6f697ccaf8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Retourne l'attribut "nb_magique".  <a href="fichier__configuration_8c.html#af66f6107d4b7f6e4de23bd6f697ccaf8">Plus de détails...</a><br /></td></tr>
<tr class="separator:af66f6107d4b7f6e4de23bd6f697ccaf8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa4841f314f9c7b1eb6130886505c149"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#aaa4841f314f9c7b1eb6130886505c149">lecture_fichier_configuration</a> (FILE *fichier, ptr_str_fc f_config)</td></tr>
<tr class="memdesc:aaa4841f314f9c7b1eb6130886505c149"><td class="mdescLeft">&#160;</td><td class="mdescRight">Lire les valeurs des paramètres du fichier de configuration (ASCII) passé en paramètre.  <a href="fichier__configuration_8c.html#aaa4841f314f9c7b1eb6130886505c149">Plus de détails...</a><br /></td></tr>
<tr class="separator:aaa4841f314f9c7b1eb6130886505c149"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e23c05945f10746ec4182b61123af00"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#a8e23c05945f10746ec4182b61123af00">delete_fichier_configuration</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:a8e23c05945f10746ec4182b61123af00"><td class="mdescLeft">&#160;</td><td class="mdescRight">Déalou la mémoire utilisé par la structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a> ainsi que ses attributs.  <a href="fichier__configuration_8c.html#a8e23c05945f10746ec4182b61123af00">Plus de détails...</a><br /></td></tr>
<tr class="separator:a8e23c05945f10746ec4182b61123af00"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47a2d2c118d7e2b8ae5e68f3344808e6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="fichier__configuration_8c.html#a47a2d2c118d7e2b8ae5e68f3344808e6">afficher_fichier_configuration</a> (ptr_str_fc f_config)</td></tr>
<tr class="memdesc:a47a2d2c118d7e2b8ae5e68f3344808e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Affiche les attributs de la structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>.  <a href="fichier__configuration_8c.html#a47a2d2c118d7e2b8ae5e68f3344808e6">Plus de détails...</a><br /></td></tr>
<tr class="separator:a47a2d2c118d7e2b8ae5e68f3344808e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Programmation des éléments de gestion de structure pour les fichiers de configuration. </p>
<dl class="section author"><dt>Auteur</dt><dd>Arnaud Orlay (<a href="#" onclick="location.href='mai'+'lto:'+'arn'+'au'+'d.o'+'rl'+'ay@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">arnau<span style="display: none;">.nosp@m.</span>d.or<span style="display: none;">.nosp@m.</span>lay@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd>
<dd>
Nicolas Zhou (<a href="#" onclick="location.href='mai'+'lto:'+'nic'+'ol'+'as.'+'zh'+'ou@'+'et'+'u.u'+'ni'+'v-o'+'rl'+'ean'+'s.'+'fr'; return false;">nicol<span style="display: none;">.nosp@m.</span>as.z<span style="display: none;">.nosp@m.</span>hou@e<span style="display: none;">.nosp@m.</span>tu.u<span style="display: none;">.nosp@m.</span>niv-o<span style="display: none;">.nosp@m.</span>rlea<span style="display: none;">.nosp@m.</span>ns.fr</a>) </dd></dl>
<dl class="section version"><dt>Version</dt><dd>0.1 </dd></dl>
<dl class="section date"><dt>Date</dt><dd>2019-09-26</dd></dl>
<dl class="section copyright"><dt>Copyright</dt><dd>Copyright (c) 2019 </dd></dl>

<p class="definition">Définition dans le fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
</div><h2 class="groupheader">Documentation des fonctions</h2>
<a id="a47a2d2c118d7e2b8ae5e68f3344808e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a47a2d2c118d7e2b8ae5e68f3344808e6">&#9670;&nbsp;</a></span>afficher_fichier_configuration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void afficher_fichier_configuration </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Affiche les attributs de la structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Le pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00416">416</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>

</div>
</div>
<a id="ad80bfd5b28d3fc81e66d83fa23690e88"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad80bfd5b28d3fc81e66d83fa23690e88">&#9670;&nbsp;</a></span>creer_fichier_configuration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">ptr_str_fc creer_fichier_configuration </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>nom_fichier</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Créer un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a> à partir du nom du fichier que l'éxecutable prend en paramètre. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">nom_fichier</td><td>Le chemin relatif du fichier de configuration que le programme doit traiter. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>ptr_str_fc Un pointeur sur un pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00054">54</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_ad80bfd5b28d3fc81e66d83fa23690e88_cgraph.png" border="0" usemap="#fichier__configuration_8c_ad80bfd5b28d3fc81e66d83fa23690e88_cgraph" alt=""/></div>
<map name="fichier__configuration_8c_ad80bfd5b28d3fc81e66d83fa23690e88_cgraph" id="fichier__configuration_8c_ad80bfd5b28d3fc81e66d83fa23690e88_cgraph">
<area shape="rect" title="Créer un pointeur de pointeur de structure fichier_configuration à partir du nom du fichier que l&#39;éxe..." alt="" coords="5,5,177,32"/>
<area shape="rect" href="fichier__configuration_8c.html#aaa4841f314f9c7b1eb6130886505c149" title="Lire les valeurs des paramètres du fichier de configuration (ASCII) passé en paramètre." alt="" coords="225,5,408,32"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_ad80bfd5b28d3fc81e66d83fa23690e88_icgraph.png" border="0" usemap="#fichier__configuration_8c_ad80bfd5b28d3fc81e66d83fa23690e88_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_ad80bfd5b28d3fc81e66d83fa23690e88_icgraph" id="fichier__configuration_8c_ad80bfd5b28d3fc81e66d83fa23690e88_icgraph">
<area shape="rect" title="Créer un pointeur de pointeur de structure fichier_configuration à partir du nom du fichier que l&#39;éxe..." alt="" coords="104,5,276,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a8e23c05945f10746ec4182b61123af00"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8e23c05945f10746ec4182b61123af00">&#9670;&nbsp;</a></span>delete_fichier_configuration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void delete_fichier_configuration </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Déalou la mémoire utilisé par la structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a> ainsi que ses attributs. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00399">399</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_a8e23c05945f10746ec4182b61123af00_icgraph.png" border="0" usemap="#fichier__configuration_8c_a8e23c05945f10746ec4182b61123af00_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_a8e23c05945f10746ec4182b61123af00_icgraph" id="fichier__configuration_8c_a8e23c05945f10746ec4182b61123af00_icgraph">
<area shape="rect" title="Déalou la mémoire utilisé par la structure fichier_configuration ainsi que ses attributs." alt="" coords="104,5,283,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a50675bf48ff97d3282760437d7e9c69e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a50675bf48ff97d3282760437d7e9c69e">&#9670;&nbsp;</a></span>get_cellule_symbole()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char get_cellule_symbole </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "cellule_symbole". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>char </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00133">133</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_a50675bf48ff97d3282760437d7e9c69e_icgraph.png" border="0" usemap="#fichier__configuration_8c_a50675bf48ff97d3282760437d7e9c69e_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_a50675bf48ff97d3282760437d7e9c69e_icgraph" id="fichier__configuration_8c_a50675bf48ff97d3282760437d7e9c69e_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;cellule_symbole&quot;." alt="" coords="332,13,472,39"/>
<area shape="rect" href="automate_8c.html#ab13ad43eea87c41a9a080239a0887a7f" title="Fonction générique perrmettant d&#39;afficher dans le terminal avec des symboles (ex: X,..." alt="" coords="104,5,284,47"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,13,56,39"/>
</map>
</div>

</div>
</div>
<a id="a21bb44a3b30408468720e6eb6eaa60ac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21bb44a3b30408468720e6eb6eaa60ac">&#9670;&nbsp;</a></span>get_emplacement_initial()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* get_emplacement_initial </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "emplacement_initial". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>char* Une chaine de caractère représentant les emplacement des cellules initiales. </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00144">144</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_a21bb44a3b30408468720e6eb6eaa60ac_icgraph.png" border="0" usemap="#fichier__configuration_8c_a21bb44a3b30408468720e6eb6eaa60ac_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_a21bb44a3b30408468720e6eb6eaa60ac_icgraph" id="fichier__configuration_8c_a21bb44a3b30408468720e6eb6eaa60ac_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;emplacement_initial&quot;." alt="" coords="264,5,427,32"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="104,5,216,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="a0747aaffe60671eda2ba956722a8c191"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0747aaffe60671eda2ba956722a8c191">&#9670;&nbsp;</a></span>get_enregistrer_image()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool get_enregistrer_image </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "enregistrer_image". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>true Si l'utilisateur souhaite retourner une image PGM. </dd>
<dd>
false Si l'utilisateur souhaite utiliser l'affichage du terminal. </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00156">156</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_a0747aaffe60671eda2ba956722a8c191_icgraph.png" border="0" usemap="#fichier__configuration_8c_a0747aaffe60671eda2ba956722a8c191_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_a0747aaffe60671eda2ba956722a8c191_icgraph" id="fichier__configuration_8c_a0747aaffe60671eda2ba956722a8c191_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;enregistrer_image&quot;." alt="" coords="463,31,613,57"/>
<area shape="rect" href="image_8c.html#af3ac482597fe1d1d8fdad40e3119b896" title="Crée un fichier image au format (.pgm) ainsi qu&#39;un pointeur de fichier." alt="" coords="321,5,415,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,31,56,57"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="104,5,273,32"/>
</map>
</div>

</div>
</div>
<a id="afc113bc5216673e023757de45be2e009"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc113bc5216673e023757de45be2e009">&#9670;&nbsp;</a></span>get_hauteur()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_hauteur </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "hauteur". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00111">111</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_afc113bc5216673e023757de45be2e009_icgraph.png" border="0" usemap="#fichier__configuration_8c_afc113bc5216673e023757de45be2e009_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_afc113bc5216673e023757de45be2e009_icgraph" id="fichier__configuration_8c_afc113bc5216673e023757de45be2e009_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;hauteur&quot;." alt="" coords="532,205,623,231"/>
<area shape="rect" href="automate_8c.html#ab13ad43eea87c41a9a080239a0887a7f" title="Fonction générique perrmettant d&#39;afficher dans le terminal avec des symboles (ex: X,..." alt="" coords="104,5,284,47"/>
<area shape="rect" href="automate_8c.html#a9fdbceb307999d064bf86f99d3598539" title="Affiche les attributs de la structure automate_cell." alt="" coords="104,71,284,112"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="138,137,250,163"/>
<area shape="rect" href="automate_8c.html#aa3ba78ebbf6cec54e6e4e0fa0fced8ee" title="Désaloue la mémoire des attributs de la structure automate_cell, la structure elle même et son pointe..." alt="" coords="135,187,253,214"/>
<area shape="rect" href="image_8c.html#a9aac53703bab191011d8c1b8ec52b630" title="Ecrit les données d&#39;une image PGM dans un format ASCII (nombre magique P2)." alt="" coords="332,227,484,268"/>
<area shape="rect" href="image_8c.html#a15ea0f80adae8f83b853c427a2254ae8" title="Ecrit les données d&#39;une image PGM dans un format binaire (nombre magique P5)" alt="" coords="332,292,484,333"/>
<area shape="rect" href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb" title="Ecrit dans l&#39;en&#45;tête de l&#39;image passé en paramètres les éléments définit au préalable dans le fichier..." alt="" coords="339,358,477,385"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="377,409,439,435"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,162,56,189"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="109,269,279,295"/>
</map>
</div>

</div>
</div>
<a id="a1b660f6a0cca911778798dfe26976cdd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b660f6a0cca911778798dfe26976cdd">&#9670;&nbsp;</a></span>get_largeur()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_largeur </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "largeur". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00122">122</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_a1b660f6a0cca911778798dfe26976cdd_icgraph.png" border="0" usemap="#fichier__configuration_8c_a1b660f6a0cca911778798dfe26976cdd_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_a1b660f6a0cca911778798dfe26976cdd_icgraph" id="fichier__configuration_8c_a1b660f6a0cca911778798dfe26976cdd_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;largeur&quot;." alt="" coords="532,173,619,199"/>
<area shape="rect" href="automate_8c.html#ab13ad43eea87c41a9a080239a0887a7f" title="Fonction générique perrmettant d&#39;afficher dans le terminal avec des symboles (ex: X,..." alt="" coords="104,5,284,47"/>
<area shape="rect" href="automate_8c.html#a9fdbceb307999d064bf86f99d3598539" title="Affiche les attributs de la structure automate_cell." alt="" coords="104,71,284,112"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="138,137,250,163"/>
<area shape="rect" href="image_8c.html#a9aac53703bab191011d8c1b8ec52b630" title="Ecrit les données d&#39;une image PGM dans un format ASCII (nombre magique P2)." alt="" coords="332,165,484,207"/>
<area shape="rect" href="image_8c.html#a15ea0f80adae8f83b853c427a2254ae8" title="Ecrit les données d&#39;une image PGM dans un format binaire (nombre magique P5)" alt="" coords="332,231,484,272"/>
<area shape="rect" href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb" title="Ecrit dans l&#39;en&#45;tête de l&#39;image passé en paramètres les éléments définit au préalable dans le fichier..." alt="" coords="339,297,477,323"/>
<area shape="rect" href="automate_8c.html#aa3e1c93736b3bc4efedcb6a9846b1889" title="Faire évoluer les ceellules de l&#39;automate appartir d&#39;une règle." alt="" coords="377,347,439,374"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,137,56,163"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="109,213,279,239"/>
</map>
</div>

</div>
</div>
<a id="afef69ee54144409041ea66d6e1185312"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afef69ee54144409041ea66d6e1185312">&#9670;&nbsp;</a></span>get_nb_etat()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_nb_etat </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "nb_etat". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00100">100</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_afef69ee54144409041ea66d6e1185312_icgraph.png" border="0" usemap="#fichier__configuration_8c_afef69ee54144409041ea66d6e1185312_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_afef69ee54144409041ea66d6e1185312_icgraph" id="fichier__configuration_8c_afef69ee54144409041ea66d6e1185312_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;nb_etat&quot;." alt="" coords="521,85,612,112"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="133,5,245,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,56,56,83"/>
<area shape="rect" href="image_8c.html#a15ea0f80adae8f83b853c427a2254ae8" title="Ecrit les données d&#39;une image PGM dans un format binaire (nombre magique P5)" alt="" coords="321,107,473,149"/>
<area shape="rect" href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb" title="Ecrit dans l&#39;en&#45;tête de l&#39;image passé en paramètres les éléments définit au préalable dans le fichier..." alt="" coords="328,173,467,200"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="104,115,273,141"/>
</map>
</div>

</div>
</div>
<a id="af66f6107d4b7f6e4de23bd6f697ccaf8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af66f6107d4b7f6e4de23bd6f697ccaf8">&#9670;&nbsp;</a></span>get_nb_magique()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int get_nb_magique </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "nb_magique". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int Le nombre magique. </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00167">167</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_af66f6107d4b7f6e4de23bd6f697ccaf8_icgraph.png" border="0" usemap="#fichier__configuration_8c_af66f6107d4b7f6e4de23bd6f697ccaf8_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_af66f6107d4b7f6e4de23bd6f697ccaf8_icgraph" id="fichier__configuration_8c_af66f6107d4b7f6e4de23bd6f697ccaf8_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;nb_magique&quot;." alt="" coords="508,5,625,32"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="104,5,273,32"/>
<area shape="rect" href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb" title="Ecrit dans l&#39;en&#45;tête de l&#39;image passé en paramètres les éléments définit au préalable dans le fichier..." alt="" coords="321,31,460,57"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
<a id="ae0ce5e18cc06c038b2ae5ab594e5e9e7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae0ce5e18cc06c038b2ae5ab594e5e9e7">&#9670;&nbsp;</a></span>get_regle()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* get_regle </td>
          <td>(</td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Retourne l'attribut "regle". </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f_config</td><td>Un pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>unsigned int </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00089">89</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_ae0ce5e18cc06c038b2ae5ab594e5e9e7_icgraph.png" border="0" usemap="#fichier__configuration_8c_ae0ce5e18cc06c038b2ae5ab594e5e9e7_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_ae0ce5e18cc06c038b2ae5ab594e5e9e7_icgraph" id="fichier__configuration_8c_ae0ce5e18cc06c038b2ae5ab594e5e9e7_icgraph">
<area shape="rect" title="Retourne l&#39;attribut &quot;regle&quot;." alt="" coords="508,51,583,78"/>
<area shape="rect" href="automate_8c.html#a320cea72ddfeeb38cef103fff39e31b4" title="Crée une mage PGM, stock le résultat de l&#39;automate et enregistre l&#39;image." alt="" coords="104,39,273,66"/>
<area shape="rect" href="automate_8c.html#a117ebb3a717f9bbd035e7b295dcf26cb" title="Créer un automate appartir des dnnées de configuration (structure fichier_configuration)" alt="" coords="133,102,245,129"/>
<area shape="rect" href="image_8c.html#af3ac482597fe1d1d8fdad40e3119b896" title="Crée un fichier image au format (.pgm) ainsi qu&#39;un pointeur de fichier." alt="" coords="344,26,437,53"/>
<area shape="rect" href="image_8c.html#a1251ec097153c17cdf6ef77b20e7eceb" title="Ecrit dans l&#39;en&#45;tête de l&#39;image passé en paramètres les éléments définit au préalable dans le fichier..." alt="" coords="321,77,460,103"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,71,56,98"/>
</map>
</div>

</div>
</div>
<a id="aaa4841f314f9c7b1eb6130886505c149"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa4841f314f9c7b1eb6130886505c149">&#9670;&nbsp;</a></span>lecture_fichier_configuration()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void lecture_fichier_configuration </td>
          <td>(</td>
          <td class="paramtype">FILE *&#160;</td>
          <td class="paramname"><em>fichier</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">ptr_str_fc&#160;</td>
          <td class="paramname"><em>f_config</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Lire les valeurs des paramètres du fichier de configuration (ASCII) passé en paramètre. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">fichier</td><td>Le fichier de configuration. </td></tr>
    <tr><td class="paramname">f_config</td><td>Le pointeur de pointeur de structure <a class="el" href="structfichier__configuration.html" title="Une structure pour stocker les paramètres des fichiers de configuration des automates cellulaire.">fichier_configuration</a>. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="fichier__configuration_8c_source.html#l00181">181</a> du fichier <a class="el" href="fichier__configuration_8c_source.html">fichier_configuration.c</a>.</p>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="fichier__configuration_8c_aaa4841f314f9c7b1eb6130886505c149_icgraph.png" border="0" usemap="#fichier__configuration_8c_aaa4841f314f9c7b1eb6130886505c149_icgraph" alt=""/></div>
<map name="fichier__configuration_8c_aaa4841f314f9c7b1eb6130886505c149_icgraph" id="fichier__configuration_8c_aaa4841f314f9c7b1eb6130886505c149_icgraph">
<area shape="rect" title="Lire les valeurs des paramètres du fichier de configuration (ASCII) passé en paramètre." alt="" coords="324,5,507,32"/>
<area shape="rect" href="fichier__configuration_8c.html#ad80bfd5b28d3fc81e66d83fa23690e88" title="Créer un pointeur de pointeur de structure fichier_configuration à partir du nom du fichier que l&#39;éxe..." alt="" coords="104,5,276,32"/>
<area shape="rect" href="main_8c.html#abf9e6b7e6f15df4b525a2e7705ba3089" title="Le programme principale (l&#39;exécutable)" alt="" coords="5,5,56,32"/>
</map>
</div>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Généré par &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
